ENV["LC_ALL"] = "en_US.UTF-8"

Vagrant.configure("2") do |config|
  config.vm.box = "generic/debian10"
  config.ssh.forward_agent = true

  config.vm.synced_folder ".", '/vagrant', disabled:true
  config.vm.synced_folder "./provision", '/provision'
  config.vm.synced_folder ".", '/app'

  config.vm.define "katavm" do |katavm|
    katavm.vm.network "private_network", ip: "192.168.13.10"
    
    katavm.vm.provider "virtualbox" do |v|
      v.cpus = "2"
      v.memory = "1024"
    end

    katavm.vm.provision :shell,
      keep_color: true,
      inline: 'cd /provision/ && ./vagrant-up.sh'
  
  end # config katavm

  unless Vagrant.has_plugin?("vagrant-vbguest")
    puts 'Installing vagrant-vbguest Plugin...'
    system('vagrant plugin install vagrant-vbguest')
  end
  config.vbguest.auto_update = true

end # config vagrant
